Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# self.get_yesterday_dividends

lumibot.strategies.strategy.Strategy.get_yesterday_dividends(self, assets)

  Get the dividends for the previous day.

  Parameters:

    assets (list(Asset object)) – The assets to get the dividends for.

  Returns:

    dividends – The dividend amount for each asset.

  Return type:

    list(float)

  Example

      >>> # Get the dividends for SPY and TLT
      >>> from lumibot.entities import Asset
      >>> assets = [Asset("SPY"), Asset("TLT")]
      >>> self.get_yesterday_dividends(assets)